Subject: Re: [Question]: should we consider arp missed max during bond_ab_arp_probe()?

From: Hangbin Liu <[email-masked]>
Date: Wed, 6 Nov 2024 09:25:30 +0000

On Wed, Nov 06, 2024 at 09:34:59AM +0100, Jiri Pirko wrote:
> Wed, Nov 06, 2024 at 08:39:48AM CET, [email-masked] wrote:
> >Hi Jay,
> >
> >Our QE reported that, when there is no active slave during
> >bond_ab_arp_probe(), the slaves send the arp probe message one by one. This
> >will flap the switch's mac table quickly, sometimes even make the switch stop
> >learning mac address. So should we consider the arp missed max during
> >bond_ab_arp_probe()? i.e. each slave has more chances to send probe messages
> >before switch to another slave. What do you think?
> 
> Out of curiosity, is anyone still using AB mode in real life? And if

Based on our analyse, in year 2024, there are 53.8% users using 802.3ad mode,
41.6% users using active-backup mode. 2.5% users using round-robin mode.

> yes, any idea why exacly?

I think they just want to make sure there is a backup for the link.

Thanks
Hangbin